#ifndef JS_FILE_H
#define JS_FILE_H

/*
File object
Provides access to information about a file.
class File {
public:
	//Get the file permissions
	int getPermissions()

	//Is the file readable.
	bool isReadable()

	//Is the file writable
	bool isWritable()

	//Is the file executable
	bool isExecutable()

	//Is the file a link
	bool isLink()

	//Is the file a pipe
	bool isPipe()

	//Is the file a socket
	bool isSocket()

	//Is this a directory
	bool isDirectory()

	//Get the last modification date
	Date getLastModified()

	//Get the last access time
	Date getLastAccess()

	//Get the creation time
	Date getCreationTime()

	//Get file size
	int getSize()

	//Truncate the file to a given length
	void truncate(int size)

    //Update last modification time to now
    void touch()
}
*/

JSBool register_class_File(JSContext *cx);
JSObject *File_getPrototypeObject();

struct _FileInformation {
    char *filename;
    FILE *fp;
};

typedef struct _FileInformation FileInformation;


#endif 
